ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove(/extrastorage:(block|disk|storagepart)_.+/)
  GregTechApocalypse.remove(/extrastorage:advanced_(importer|exporter)/)
  GregTechApocalypse.remove({ id: 'extrastorage:advanced_importer' })
  GregTechApocalypse.remove({ id: 'extrastorage:advanced_exporter' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_256k' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_1024k' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_4096k' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_16384k' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_16384k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_65536k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_262144k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:storage_block/block_1048576k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_256k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_256k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_1024k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_1024k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_4096k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_4096k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_16384k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_16384k' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_16384k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_16384k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_65536k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_65536k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_262144k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_262144k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shapeless/disk_1048576k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:disk/shaped/disk_1048576k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_256k' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_1024k' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_4096k' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_16384k' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_16384k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_65536k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_262144k_fluid' })
  GregTechApocalypse.remove({ id: 'extrastorage:part/storagepart_1048576k_fluid' })

  GregTechApocalypse.remove({ id: 'rebornstorage:parts/small_item_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/small_item_disk' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/small_item_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/medium_item_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/medium_item_disk' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/medium_item_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/large_item_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/large_item_disk' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/large_item_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/larger_item_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/larger_item_disk' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/larger_item_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/small_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/small_fluid_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/small_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/medium_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/medium_fluid_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/medium_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/large_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/large_fluid_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/large_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:parts/larger_fluid_disk_part' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/larger_fluid_storage_disk_from_storage_housing' })
  GregTechApocalypse.remove({ id: 'rebornstorage:disks/larger_fluid_disk_part' })

  GregTechApocalypse.remove({ id: 'refinedstorage:controller' })
  GregTechApocalypse.shaped('refinedstorage:controller', ['UCU', 'BAB', 'UBU'], {
    U: 'ad_astra:desh_block',
    A: 'gtceu:ev_machine_hull',
    B: 'gtceu:silicon_ingot',
    C: 'refinedstorage:advanced_processor'
  }).id('gregtechapocalypse:gregtech_rs_crafter')
  GregTechApocalypse.remove({ id: 'refinedstorage:crafter' })
  GregTechApocalypse.shaped('refinedstorage:crafter', ['ABA', 'DFD', 'ACA'], {
    A: 'refinedstorage:quartz_enriched_iron',
    B: 'refinedstorage:construction_core',
    C: 'refinedstorage:destruction_core',
    D: 'refinedstorage:advanced_processor',
    F: 'ad_astra:glacio_stone'
  })
  GregTechApocalypse.remove({ id: 'refinedstorage:crafting_grid/crafting_grid' })
  GregTechApocalypse.shapeless('refinedstorage:crafting_grid', ['#refinedstorage:grid', 'gtceu:microchip_processor', 'create:mechanical_crafter'])
})